For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve list of all product campaigns

This endpoint shows all product campaigns with options to filter and sort them. Search by campaign name, team, approval status, and more. Results are shown in pages to make them easier to view and man

Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view this page in the new Partner APIs space of our documentation.


description: "This endpoint shows all product campaigns with options to filter and sort them. Search by campaign name, team, approval status, and more. Results are shown in pages to make them easier to view and manage."

Retrieve list of all product campaigns

Example request:

curl --request GET \
  --url 'https://campaign.<env>.citrusad.com/v3/product-campaigns?teamId=team_12345&pageSize=20&campaignState=CAMPAIGN_STATE_ACTIVE' \
  --header 'Authorization: Bearer <token>'

Retrieve list of all product campaigns

get

This endpoint shows all product campaigns with options to filter and sort them. Search by campaign name, team, approval status, and more. Results are shown in pages to make them easier to view and manage.

Authorizations
AuthorizationstringRequired

For accessing the API a valid JWT jwt must be passed in all queries in the 'Authorization' header. The following syntax must be used in the 'Authorization' header. (Bearer xxx.yyy.zzz)

Query parameters
pageTokenstringOptional

Use the pagination token to retrieve the next page of results.

pageSizestring · int64Optional

Define the number of campaigns you are requesting per page.

namestringOptional

Filter campaigns using the specified campaign name.

placementIdstringOptional

Filter campaigns using the specified placement ID.

teamIdstringOptional

Filter campaigns using the specified team ID.

approvalStatestring · enumOptional

Filter campaigns using the specified approval state.

Default: APPROVAL_STATE_PENDINGPossible values:
campaignStatestring · enumOptional

Filter campaigns using the specific campaign active state.

Default: CAMPAIGN_STATE_DRAFTPossible values:
catalogIdsstring[]Optional

Filter campaigns using one or more catalog IDs. You can specify multiple catalog IDs in the request.

managedOnlybooleanOptional

Filter campaigns to include only those managed by retailers, such as fixed tenancy campaigns.

requestTeamIdstringOptional

The ID of the team requesting campaigns. Retailers can use their team ID to list campaigns across multiple teams, while advertisers can use their own team ID.

walletIdstringOptional

Filter campaigns by a specific wallet ID.

Responses
200

A list of campaigns and a pagination token.

application/json
nextPageTokenstringOptional

This token allows you to access the next page of results. Use it in your next request to continue retrieving data. If absent, there are no more pages.

totalCountstring · int64Optional

Indicates the total number of campaign records that match your criteria, regardless of pagination. It gives you the overall count of records available based on your query.

get/v3/product-campaigns
GET /v3/product-campaigns HTTP/1.1
Host: campaign.<env>.citrusad.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "nextPageToken": "text",
  "productCampaigns": [
    {
      "advertisedProducts": {
        "productGroupList": [
          "text"
        ],
        "productsByKey": [
          {
            "catalogId": "catalog_001",
            "productCode": "PROD123456",
            "sellerId": "seller_78910"
          }
        ]
      },
      "approval": {
        "rejectionReason": "text",
        "state": "APPROVAL_STATE_PENDING"
      },
      "campaignState": "CAMPAIGN_STATE_DRAFT",
      "catalogIds": [
        "text"
      ],
      "customFields": [
        {
          "content": "This is a custom field content.",
          "customFieldId": "cfid_12345"
        }
      ],
      "customQuestions": [
        {
          "answers": [
            "Answer 1",
            "Answer 2",
            "Answer 3"
          ],
          "customQuestionId": "cqid_67890"
        }
      ],
      "endTime": "2026-01-01T00:00:00.000Z",
      "fixedCosts": {
        "creativeCost": "$200.00",
        "dataCost": "$100.00",
        "otherCost": "$50.00"
      },
      "id": "text",
      "managerTeamId": "text",
      "name": "text",
      "namespaceId": "text",
      "placementId": "text",
      "sellerId": "text",
      "startTime": "2026-01-01T00:00:00.000Z",
      "strategy": {
        "auction": {
          "automatedBid": {
            "enableAutomatedBid": true
          },
          "maxBid": "$100.00",
          "spendLimit": {
            "daily": "$50.00",
            "total": "$1000.00"
          }
        },
        "fixedTenancy": {
          "catalogCosts": [
            {
              "catalogCostPercentage": 0.25,
              "catalogId": "catalog_123456"
            }
          ],
          "cost": "$99.99",
          "positions": [
            1,
            2,
            3
          ]
        }
      },
      "targeting": {
        "audience": {
          "includeSegmentsSets": [
            {
              "segmentIds": [
                "text"
              ]
            }
          ]
        },
        "crossSell": {
          "targetProductsByAttributes": {
            "subclassTags": [
              "Electronics",
              "Home Appliances"
            ],
            "vendorTags": [
              "BrandX",
              "BrandY"
            ]
          },
          "targetProductsByKey": [
            {
              "catalogId": "catalog_001",
              "productCode": "PROD123456",
              "sellerId": "seller_78910"
            }
          ]
        },
        "excludeFilters": [
          {
            "catalogId": "catalog_12345",
            "filter": "filter_value_abc"
          }
        ],
        "includeFilters": [
          {
            "catalogId": "catalog_12345",
            "filter": "filter_value_abc"
          }
        ],
        "negativeSearchTerms": [
          {
            "matchType": "MATCH_TYPE_UNSPECIFIED",
            "phrase": "text"
          }
        ],
        "searchTerms": [
          {
            "collectionName": "default_collection",
            "excludedProducts": [
              {
                "catalogId": "catalog_001",
                "productCode": "PROD123456",
                "sellerId": "seller_78910"
              }
            ],
            "matchType": "MATCH_TYPE_UNSPECIFIED",
            "maxBid": "100.00",
            "phrase": "example search term",
            "suggested": true,
            "treatAsCustom": true
          }
        ],
        "upsell": {
          "targetProductsByAttributes": {
            "priceRange": {
              "max": "100",
              "min": "10"
            },
            "subclassTags": [
              "text"
            ],
            "vendorTags": [
              "text"
            ]
          },
          "targetProductsByKey": [
            {
              "catalogId": "catalog_001",
              "productCode": "PROD123456",
              "sellerId": "seller_78910"
            }
          ]
        }
      },
      "teamId": "text",
      "templateId": "text",
      "updateTime": "2026-01-01T00:00:00.000Z",
      "walletId": "text"
    }
  ],
  "totalCount": "text"
}